Get Conversation Messages
curl --request GET \
--url https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"sender": "user",
"type": "text",
"content": {
"text": "<string>"
},
"metadata": {
"model": "<string>",
"total": 123
},
"createdAt": "<string>"
}
]This response has no body data.Messages
Get Conversation Messages
Get all messages for a conversation
GET
/
agents
/
{agentId}
/
conversations
/
{conversationId}
/
messages
Get Conversation Messages
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The ID of the agent
The ID of the conversation
Response
OK
- Text Message
- Image Message
- Button Message
- Choice Message
- Card Message
- Carousel Message
- Debug Message
- File Message
- Location Message
- Transition Message
- Extension Message
- Path Message
Available options:
user, bot, agent The type of the message, which is 'text' for TextMessage
Available options:
text Example:
"text"
Show child attributes
Show child attributes
Token usage or any other metadata for the message
Show child attributes
Show child attributes
The date and time the message was created
